%global momorel 1

%global config_opts --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --mandir=%{_mandir} --libdir=%{_libdir} --bindir=%{_bindir} --includedir=%{_includedir} --datadir=%{_datadir} --enable-threads --disable-more-warnings --with-ssl --with-gss

Summary:   Balsa Mail Client
Name:      balsa
Version:   2.3.20
Release: %{momorel}m%{?dist}
License: GPL
Group:     Applications/Internet
Source0: http://balsa.gnome.org/%{name}-%{version}.tar.bz2
NoSource: 0
URL:       http://balsa.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: aspell >= 0.60
Requires: gtk2 >= 2.4.0
Prereq: scrollkeeper
BuildPrereq: scrollkeeper
BuildPrereq: libesmtp-devel >= 1.0.3r1-2m
BuildPrereq: libgtkhtml-devel
BuildPreReq: gmime-devel
BuildPrereq: gtkhtml3-devel >= 3.14.0
BuildPrereq: aspell-devel >= 0.60
BuildPrereq: gdbm-devel
BuildPrereq: krb5-devel >= 1.4.1
BuildPrereq: libgnomeprint >= 2.12.1, libgnomeprintui >= 2.12.1

%description
Balsa is an e-mail reader.  This client is part of the GNOME
desktop environment.  It supports local mailboxes, POP3 and
IMAP.
 
%prep
%setup -q

%build
# Needed for snapshot releases.
%ifarch alpha
  ARCHFLAG="--host=alpha-momonga-linux"
%endif

if [ ! -f configure ]; then
  CFLAGS="%{optflags}" \
  ./autogen.sh $ARCHFLAG %{config_opts}
else
  CFLAGS="%{optflags}" \
  ./configure $ARCHFLAG %{config_opts}
fi
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

make DESTDIR="%{buildroot}" install
rm "%{buildroot}%{_bindir}"/balsa-ab

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%pre
rm -rf /usr/share/balsa/hicolor/22x22

%post
scrollkeeper-update

%postun
scrollkeeper-update

%files -f %{name}.lang
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS TODO AUTHORS HACKING docs/mh-mail-HOWTO
%doc docs/pine2vcard docs/vconvert.awk
%{_bindir}/balsa
%{_libdir}/bonobo/servers/GNOME_Balsa.server
%{_datadir}/applications/balsa.desktop
%{_datadir}/pixmaps/gnome-balsa2.png
%{_datadir}/gnome/help/balsa
%{_datadir}/omf/balsa/*
%{_datadir}/balsa
%{_datadir}/icons/hicolor/*/mimetypes/*
%{_datadir}/idl/Balsa.idl
%{_datadir}/sounds/balsa
%{_mandir}/man1/balsa.1*
%config %{_sysconfdir}/sound/events/*

%changelog
* Thu Sep 13 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.3.20-1m)
- update to 2.3.20
- [SECURITY] CVE-2007-5007, fixes a buffer overflow in the IMAP code in this version
- add Requires: gtk2 >= 2.4.0
- do not use %%NoSource macro

* Mon Aug 27 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.3.19-1m)
- update to 2.3.19

* Fri Aug 24 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.3.18-1m)
- update to 2.3.18

* Sun Jul  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.3.17-2m)
- missing back slash in %%build section

* Fri Jul  6 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.3.17-1m)
- add BuildPreReq: gmime-devel to use installed gmime
- clean up spec file

* Thu Jun  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.3.16-1m)
- update balsa to 2.3.16
- update gmime to 2.2.9

* Sat Mar 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3.14-2m)
- rebuild against gtkhtml3-3.14.0

* Sat Dec 23 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (2.3.14-1m)
- update balsa to 2.3.14
- update gmime to 2.2.3

* Sat Sep  2 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.3.13-1m)
- update to 2.3.13

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.3.12-3m)
- rebuild against expat-2.0.0-1m

* Sat May 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3.12-2m)
- revise %%files for rpm-4.4.2

* Sat Apr 15 2006 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (2.3.12-1m)
- update to 2.3.12

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.3.6-2m)
- rebuild against openssl-0.9.8a

* Wed Nov 23 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (2.3.6-1m)
- update to 2.3.6

* Tue May 24 2005 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.2.6-1m)
- update to 2.2.6

* Wed Mar  9 2005 Toru Hoshina <t@momonga-linux.org>
- (2.2.4-1m)
- ver up. Sync with FC3(2.2.4-1.FC3.1).

* Wed Jul 07 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.18-1m)
- update to 2.0.18

* Tue May  4 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.0.17-1m)
- update to 2.0.17
- remove patch0
- add patch1

* Sun Apr 18 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.0.16-5m)
- add patch0

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.0.16-4m)
- rebuild against for libxml2-2.6.8

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (2.0.16-2m)
- revised spec for enabling rpm 4.2.

* Mon Jan 19 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (2.0.16-1m)
- update to 2.0.16

* Sun Nov 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.11-2m)
- s/Copyright:/License:/

* Thu Jun 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.11-1m)
- version 2.0.11

* Thu Jun 5  2003 Masahiro Takahata <takahata@momonga-linuz.org>
- (2.0.9-4m)
- add BuildPrereq: libgnomeprint >= 2.1.4, libgnomeprintui >= 2.1.4

* Mon Mar 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.9-3m)
- rebuild against for openssl-0.9.7

* Fri Mar 07 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.9-2m)
- rebuild against for XFree86-4.3.0

* Fri Feb 28 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.9-1m)
- version 2.0.9

* Wed Feb 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.7-1m)
- version 2.0.7

* Wed Nov 13 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.2-3m)
- libgnomeprint,libgnomeprintui 2.1

* Wed Oct 16 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.2-2m)
- remove omf

* Mon Sep 16 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.2-1m)
- version 2.0.2

* Wed Jul 31 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.1-1m)
- test
